API Description

The Amazon Async API is an asynchronous interface.
The Amazon Async API dynamically adapts to changes in Amazon and other e-commerce page structures. Powered by intelligent detection algorithms, it automatically identifies and extracts key product data such as title, discount, price, availability, and description. Developers don’t need to worry about DOM changes — our system continuously maintains parsing logic to minimize integration and maintenance costs. Quickly access real-time data via API key authentication.
Asynchronous endpoint – requires a separate callback receiver to be deployed.

Java-data-receive.zip 92.3KBGo-data-receiver.zip 7KBPy-data-receiver.zip 1KB

Request URL

POST https://scrapeapi.pangolinfo.com/api/v1/scrage/async

Request Headers

ParametersParameter valueTypeDescription
Content-Typeapplication/jsonstringData format
AuthorizationBearer xxxstringAuthorization Token

Request Parameters

ParametersRequiredTypeDescription
urlYesstringTarget URL
callbackUrlYesstringTask callback URL (Results are returned via POST requests)
formatYesstringData return format
parserNameYesstring

Choose a parsing template based on your business needs:
amzProductDetail: Get product details by ASIN ID
amzKeyword: Get product listings by keyword
amzProductOfCategory: Get product listings by category
amzProductOfSeller: Get product listings by seller
amzBestSellers: Get Best Sellers by category
amzNewReleases: Get New Releases by category

zipcodeYesstringAmazon ZIPCode

Response value

Return valueTypeDescription
codeintStatus Code
messagestringMessage
dataobjectReturned data

Return parameter data description

Return valueTypeDescription
datastring[]Task ID
bizMsgstringBusiness message returned by the target site
bizCodeintBusiness status code returned by the target site

Request example

curl --request POST \
  --url https://scrapeapi.pangolinfo.com/api/v1/scrape/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "url": "https://www.amazon.com/dp/B0DYTF8L2W",
  "callbackUrl": "",
  "zipcode": "10041",
  "format": "json",
  "parserName": "amzProductDetail"
}'

Return example

{
  "code": 0,
  "message": "ok",
  "data": {
    "data": "e7da6144bed54df7a2891e98fdc8d517",
    "bizMsg": "ok",
    "bizCode": 0
  }
}

Credit Consumption

  • Average response time: 5s
  • Credit Consumption:
format parameterCredits Consumption
Structured page datajson1 Credit/Per Request
Original page HTMLrawHtml0.75 Credit/Per Request